gnutls_pkcs11_token_get_random(3)

NAME
gnutls_pkcs11_token_get_random - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_token_get_random(const char * token_url, void * rnddata, size_t len);

ARGUMENTS

const char * token_url
    A PKCS 11 URL specifying a token

void * rnddata
    A pointer to the memory area to be filled with random data

size_t len
    The number of bytes of randomness to request

DESCRIPTION
This function will get random data from the given token. It will store rnddata and fill the memory pointed to by rnddata with len random bytes from the token.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/